Open SCAP Library

Typedefs | Functions
oval_agent_api.h File Reference
OVAL » OVALAGENT
`#include "oval_definitions.h"`
`#include "oval_system_characteristics.h"`
`#include "oval_results.h"`
`#include "oval_variables.h"`
`#include "oval_probe.h"`

Go to the source code of this file.

## Typedefs
typedef struct oval_agent_session | oval_agent_session_t
| Agent session consists of connection to system checking engine, definition model, system characteristics model and results model.
typedef int(* | agent_reporter) (const struct oval_result_definition *res_def, void *arg)

## Functions
oval_agent_session_t * | oval_agent_new_session (struct oval_definition_model *model, const char *name)
| Create new session for OVAL agent from OVAL definition model. More...
struct oval_definition_model * | oval_agent_get_definition_model (oval_agent_session_t *ag_sess)
| Retrieves OVAL definition model associated with given session.
void | oval_agent_set_product_name (oval_agent_session_t *, char *)
| Set a product name for the provided agent session. More...
int | oval_agent_eval_definition (oval_agent_session_t *, const char *)
| Probe the system and evaluate specified definition. More...
int | oval_agent_get_definition_result (oval_agent_session_t *, const char *, oval_result_t *)
| Get the OVAL result of a definition from an agent session. More...
struct oval_result_definition * | oval_agent_get_result_definition (oval_agent_session_t *ag_sess, const char *id)
| Get the OVAL result definition from an agent session. More...
int | oval_agent_reset_session (oval_agent_session_t *ag_sess)
| Clean resuls that were generated in this agent session.
int | oval_agent_abort_session (oval_agent_session_t *ag_sess)
| Abort a running probe session.
int | oval_agent_eval_system (oval_agent_session_t *ag_sess, agent_reporter cb, void *arg)
| Probe and evaluate all definitions from the content, call the callback functions upon single evaluation. More...
struct oval_results_model * | oval_agent_get_results_model (oval_agent_session_t *ag_sess)
| Get a result model from agent session.
const char * | oval_agent_get_filename (oval_agent_session_t *ag_sess)
| Get a filename under which was created.
void | oval_agent_destroy_session (oval_agent_session_t *ag_sess)
| Finish OVAL agent session.

## Detailed Description

Author
  "David Niemoller" David.nosp@m..Nie.nosp@m.molle.nosp@m.r@g2.nosp@m.-inc..nosp@m.com
  "Peter Vrabec" pvrab.nosp@m.ec@g.nosp@m.mail..nosp@m.com